Chelabase
ManagementKeys

Rotate a key

POST
/v1/databases/{id}/branches/{branch_id}/keys/{key_id}/rotate

Authorization

bearer
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Database id

Formatuuid
branch_id*string

Branch id

Formatuuid
key_id*string

Key id

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/databases/497f6eca-6276-4993-bfeb-53cbbbba6f08/branches/497f6eca-6276-4993-bfeb-53cbbbba6f08/keys/497f6eca-6276-4993-bfeb-53cbbbba6f08/rotate"
{  "databases": [    "string"  ],  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "key": "string",  "kind": "public",  "name": "string",  "prefix": "string",  "role": "string"}